:root {
    --italian-green: #008c45;
    --italian-white: #f4f5f0;
    --italian-red: #cd212a;
    --dark-text: rgb(42, 39, 39);
}

* {
    box-sizing: border-box; 
}

header {
    padding: 10px;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
    background-color: var(--italian-green);
}

header p {
    color: var(--italian-red);
    font-size: 40px;
    font-weight: 700;
    padding-left: 100px;
    margin: auto;
}

header .view-high-scores {
    color: var(--italian-red);
    font-size: 40px;
    font-weight: 700;
    padding-right: 100px;
    margin: auto;
}

header .view-high-scores:hover{
    color: var(--italian-white);
    box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);
}

.hero1 {
    background-color: var(--italian-red);
    padding: 3rem;
    max-width: 100%;
    display: flex;
    justify-content: center;
}

.hero2 {
    background-color: var(--italian-white);
    padding: 4rem;
    height: 100vh;
    max-width: 100%;
    font-size: 40px;
}

.start-button {
    border-radius: 6px;
    font-size: 75px;
    margin: 0;
    position: absolute;
    bottom: 5%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    background-color: var(--italian-green);
}

.start-button:hover {
    box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);
  }

/* TODO Ask professor */
html {
    font-size: 62.5%;
}

h1 {
	/* 4rem = 40px (4 * 10px) */
	font-size: 12rem;
}

h2 {
    font-size: 10rem;
}

h3 {
	font-size: 8rem;
}

h4 {
	font-size: 6rem;
}

h5 {
	font-size: 4rem;
}

h6 {
	font-size: 2rem;
}

#question-container {
    display: flex;
    flex-direction: column;
}

#question {
    padding: 40px;
    background-color: var(--italian-red);
}

#buttons button{
    background-color: var(--italian-green);
    color: var(--italian-white);
    font-size: 75px; 
    display: flex; 
    flex-wrap: wrap;
    flex-direction: column;
    border-radius: 6px;
    padding: 15px;
    margin: 5%;
    text-align: left;
    min-width: 90%;
}

#feed-back {
    font-size: 100px;
    margin-top: 5%;
    margin-left: 5%;
    font-weight: bold;
}

#highscore-input {
    display: flex;
    flex: auto;
    font-size: 50px;
    margin: 25px;
    padding: 25px;
    flex-direction: column;
}

#highscore-input h2 {
    text-align: center;
    margin-bottom: 25px;
}

#highscore-input p {
    text-align: center;
    margin-bottom: 25px;
}

#highscore-input input {
    text-align: center;
    margin-bottom: 150px;
}


.view-high-scores {
    text-decoration-line: none;
    color: black;
}

li {
    font-size: 75px;
    margin-left: 30px;
}

.clear-high-scores{
    background-color: var(--italian-green);
    color: black;
    font-size: 75px; 
    display: flex; 
    flex-wrap: wrap;
    flex-direction: column;
    border-radius: 6px;
    padding: 15px;
    margin-left: 15%;
    margin-right: 15%;
    margin-top: 5%;
    margin-bottom: 5%;
    text-align: left;
    min-width: 70%;
    text-decoration: none;
}


/* using a mobile-first approach, use `min-width` values going from narrow -> wide for a responsive design */
@media screen and (min-width: 768px) {
    /* on tablets, set columns to only be 50% of the width and not grow */
    
  }
  
  /* media query for larger screens */
  @media screen and (min-width: 992px) {
    header p {
        font-size: 30px;
        padding-left: 50px;
    }
    
    header .view-high-scores {
        font-size: 30px;
        padding-right: 50px;
    }

    .hero2 {
        padding-left: 200px;
        padding-right: 200px;
        height: 100vh;
        font-size: 20px;
    }

    h1 {
        /* 4rem = 40px (4 * 10px) */
        font-size: 6rem;
    }

    h2 {
        font-size: 5rem;
    }
    
    h3 {
        font-size: 4rem;
    }
    
    h4 {
        font-size: 3rem;
    }
    
    h5 {
        font-size: 2rem;
    }
    
    h6 {
        font-size: 1rem;
    }

    .start-button {
        border-radius: 6px;
        font-size: 40px;
        bottom: 5%;
    }

    #question {
        padding: 40px;
    }
    
    #buttons button{
        font-size: 30px; 
        border-radius: 6px;
        padding: 15px;
        margin-top: 2.5%;
        margin-bottom: 2.5%;
        margin-right: 10%;
        margin-left: 10%;
        min-width: 80%;
    }

    #feed-back {
        font-size: 30px;
        margin-top: 1px;
        margin-left: 10%;
    }

    #highscore-input {
        font-size: 30px;
        margin-top: 25px;
        margin-bottom: 25px;
        margin-left: 40%;
        margin-right: 40%;
        max-width: 20%;
        padding: 25px;
    }
    
    #highscore-input input {
        margin-bottom: 25px;
    }
    
    li {
        font-size: 40px;
        margin-left: 250px;
    }
    
    .clear-high-scores{
        font-size: 30px; 
        padding: 5px;
        margin-left: 40%;
        margin-right: 4%;
        margin-top: 2.5%;
        margin-bottom: 2.5%;
        text-align: left;
        min-width: 20%;
    }
  }